Subject: bug#11617: Don't use 'register'; these days it's not needed.

From: Paul Eggert <[email-masked]>
Date: Sun, 03 Jun 2012 09:33:45 -0700

On 06/03/2012 08:22 AM, Stefan Monnier wrote:
> While `register' has been unnecessary for a while
> now, I don't see why it would hurt.

It hurts because it wastes developers' time, and has done so
for many years.  It'd be better to not continue to waste our time
worrying about whether to use 'register', or even having to
read the noise word 'register'.  We should definitely not
waste our time reading or maintaining comments like this:

     /* If we use `register' here, gcc-4.0.2 on amd64 using
       -DUSE_LISP_UNION_TYPE complains further down that we're getting the
       address of `force'.  Go figure.  */

This stuff is all bogus and our lives would be a tiny bit simpler
if it vanished.  I've put work into making it vanish, and
I'd appreciate the chance to make that work useful for others.